Home

Retrieves mixed volatility value for the specified pair of base/quote

GET
https://inj.nownodes.io/injective/oracle/v1beta1/volatility

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

base_info.symbolstringquery
base_info.oracle_typestringUnspecifiedBandPriceFeedCoinbaseChainlinkRazorDiaAPI3UmaPythBandIBCProviderUnspecifiedquery
base_info.scale_factorinteger<int64>query
quote_info.symbolstringquery
quote_info.oracle_typestringUnspecifiedBandPriceFeedCoinbaseChainlinkRazorDiaAPI3UmaPythBandIBCProviderUnspecifiedquery
quote_info.scale_factorinteger<int64>query
oracle_history_options.max_agestring<uint64>query

MaxAge restricts the oracle price records oldest age in seconds from the current block time to consider. A value of 0 means use all the records present on the chain.

oracle_history_options.include_raw_historybooleanquery

If IncludeRawHistory is true, the raw underlying data used for the computation is included in the response.

oracle_history_options.include_metadatabooleanquery

If IncludeMetadata is true, metadata on the computation is included in the response.

Response

200OK

A successful response.

default

An unexpected error response.